Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# advanced_resource.cpp File Reference

`#include "advanced_resource.h"`
`#include "advanced_resource.i"`
`#include "UIOP_Factory.h"`
`#include "SHMIOP_Factory.h"`
`#include "DIOP_Factory.h"`
`#include "SCIOP_Factory.h"`
`#include "LFU_Connection_Purging_Strategy.h"`
`#include "FIFO_Connection_Purging_Strategy.h"`
`#include "NULL_Connection_Purging_Strategy.h"`
`#include "LF_Strategy_Null.h"`
`#include "tao/debug.h"`
`#include "tao/LRU_Connection_Purging_Strategy.h"`
`#include "tao/LF_Strategy_Complete.h"`
`#include "tao/LF_Follower.h"`
`#include "tao/Leader_Follower.h"`
`#include "tao/StringSeqC.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/Service_Config.h"`
`#include "ace/Select_Reactor.h"`
`#include "ace/FlReactor.h"`
`#include "ace/TkReactor.h"`
`#include "ace/WFMO_Reactor.h"`
`#include "ace/Msg_WFMO_Reactor.h"`
`#include "ace/TP_Reactor.h"`
`#include "ace/Memory_Pool.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/Malloc.h"`
`#include "ace/OS_NS_strings.h"`

Include dependency graph for advanced_resource.cpp:

## Typedefs
typedef ACE_Malloc< ACE_LOCAL_MEMORY_POOL, ACE_Null_Mutex > | NULL_LOCK_MALLOC
typedef ACE_Allocator_Adapter< NULL_LOCK_MALLOC > | NULL_LOCK_ALLOCATOR
typedef ACE_Malloc< ACE_LOCAL_MEMORY_POOL, TAO_SYNCH_MUTEX > | LOCKED_MALLOC
typedef ACE_Allocator_Adapter< LOCKED_MALLOC > | LOCKED_ALLOCATOR
## Functions
const char * | get_rcsid_Strategies_advanced_resource (const char *)
## Variables
const char * | rcsid_Strategies_advanced_resource = get_rcsid_Strategies_advanced_resource ( rcsid_Strategies_advanced_resource )

## Typedef Documentation

typedef ACE_Allocator_Adapter<LOCKED_MALLOC> LOCKED_ALLOCATOR

typedef ACE_Malloc<ACE_LOCAL_MEMORY_POOL,TAO_SYNCH_MUTEX> LOCKED_MALLOC

typedef ACE_Allocator_Adapter<NULL_LOCK_MALLOC> NULL_LOCK_ALLOCATOR

typedef ACE_Malloc<ACE_LOCAL_MEMORY_POOL,ACE_Null_Mutex> NULL_LOCK_MALLOC

## Function Documentation

const char* get_rcsid_Strategies_advanced_resource | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_Strategies_advanced_resource = get_rcsid_Strategies_advanced_resource ( rcsid_Strategies_advanced_resource )`[static]`